summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergei Trofimovich <slyfox@gentoo.org>2012-04-14 19:30:53 +0000
committerSergei Trofimovich <slyfox@gentoo.org>2012-04-14 19:30:53 +0000
commitc898c0707f94267ecdc0e2320af005367c2106c1 (patch)
tree566ab11c1f000ce4ecaaef039a40b9aefa3b6d2b /eclass/haskell-cabal.eclass
parentAdd ~amd64-linux keyword. (diff)
downloadgentoo-2-c898c0707f94267ecdc0e2320af005367c2106c1.tar.gz
gentoo-2-c898c0707f94267ecdc0e2320af005367c2106c1.tar.bz2
gentoo-2-c898c0707f94267ecdc0e2320af005367c2106c1.zip
fix -dynamic './setup configure' failures against newer libffi (bug #411789 by Leonid Podolny)
Diffstat (limited to 'eclass/haskell-cabal.eclass')
-rw-r--r--eclass/haskell-cabal.eclass11
1 files changed, 7 insertions, 4 deletions
diff --git a/eclass/haskell-cabal.eclass b/eclass/haskell-cabal.eclass
index 404d5eb1ada9..8d071eb597e7 100644
--- a/eclass/haskell-cabal.eclass
+++ b/eclass/haskell-cabal.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/haskell-cabal.eclass,v 1.29 2012/04/09 18:08:45 slyfox Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/haskell-cabal.eclass,v 1.30 2012/04/14 19:30:53 slyfox Exp $
# @ECLASS: haskell-cabal.eclass
# @MAINTAINER:
@@ -172,9 +172,12 @@ cabal-bootstrap() {
$(ghc-getghc) "$@"
}
if $(ghc-supports-shared-libraries); then
- # some custom build systems might use external libraries,
- # for which we don't have shared libs, so keep static fallback
- make_setup -dynamic "$@" || make_setup "$@" || die "compiling ${setupmodule} failed"
+ # # some custom build systems might use external libraries,
+ # # for which we don't have shared libs, so keep static fallback
+ # Disabled '-dynamic' as ghc does not embed RPATH to used extra-libraries:
+ # bug #411789, http://hackage.haskell.org/trac/ghc/ticket/5743#comment:3
+ # make_setup -dynamic "$@" ||
+ make_setup "$@" || die "compiling ${setupmodule} failed"
else
make_setup "$@" || die "compiling ${setupmodule} failed"
fi